From 91c07f05988190adf51bbf33fd64f34245bc97be Mon Sep 17 00:00:00 2001
From: Guillaume Buisson <guillaume@gbuisson.com>
Date: Wed, 24 Nov 2021 16:42:31 +0100
Subject: [PATCH] Allow ob-plantuml to work over Tramp

* lisp/ob-plantuml.el (org-babel-plantuml): Modify the jar file check so it doesn't fail the generation,
allowing ob-plantuml to be used with TRAMP setups.

---
 lisp/ob-plantuml.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/ob-plantuml.el b/lisp/ob-plantuml.el
index fc621600c..e8fff0742 100644
--- a/lisp/ob-plantuml.el
+++ b/lisp/ob-plantuml.el
@@ -116,11 +116,11 @@ This function is called by `org-babel-execute-src-block'."
 	 (java (or (cdr (assq :java params)) ""))
 	 (executable (cond ((eq org-plantuml-exec-mode 'plantuml) org-plantuml-executable-path)
 			   (t "java")))
+         (jar-exists? (or (file-exists-p org-plantuml-jar-path)
+			  (message "Could not find plantuml.jar at %s" org-plantuml-jar-path)))
 	 (executable-args (cond ((eq org-plantuml-exec-mode 'plantuml) org-plantuml-executable-args)
 				((string= "" org-plantuml-jar-path)
 				 (error "`org-plantuml-jar-path' is not set"))
-				((not (file-exists-p org-plantuml-jar-path))
-				 (error "Could not find plantuml.jar at %s" org-plantuml-jar-path))
 				(t (list java
 					 "-jar"
 					 (shell-quote-argument (expand-file-name org-plantuml-jar-path))))))
-- 
2.31.1

